using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;


/// <summary>
/// Summary description for FoxWebService
/// </summary>
[WebService(Namespace = "http://www.west-wind.com/demos/foxwebservice")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class FoxWebService : System.Web.Services.WebService
{

    public FoxWebService()
    {
    }
 
    [WebMethod(Description="Simple Server Access and Echoing settings.")]
    public string FoxServerStatus()
    {
        foxservice.FoxServer Service = new foxservice.FoxServer();
        string Result = Service.GetRequestInfo(false);
        return Result;        
    }

    [WebMethod]
    public DateTime GetServerTime()
    {
        return DateTime.Now;
    }

    [WebMethod]
    public cCustomer GetCustomer()
    {
        foxservice.CustomerClass Customer = new foxservice.CustomerClass();

        cCustomer Cust = new cCustomer();
        Cust.cName = Customer.cName;
        Cust.cCompany = Customer.cCompany;
        Cust.cAddress = Customer.cAddress;
        Cust.tEntered = (DateTime) Customer.tEntered;

        foxservice.PhoneNumbers PhoneNumbers = Customer.oPhoneNumbers as foxservice.PhoneNumbers;

        foxservice.Iphonenumbers PhoneNumbersx = Customer.oPhoneNumbers as foxservice.Iphonenumbers;

        cPhoneNumbers Phone = Cust.oPhoneNumbers;
        Phone.cTelephone = PhoneNumbers.cTelephone;
        Phone.cMobile = PhoneNumbers.cMobile;
        Phone.cFax = PhoneNumbers.cFax;

        return Cust;
    }

    [WebMethod(Description="Shows Threading Model for the ASMX threads")]
    public string ThreadingMode()
    {
        return System.Threading.Thread.CurrentThread.ApartmentState.ToString();
    }


}

[Serializable]
public class cCustomer
{
    public string cName = "";
    public string cCompany = "";
    public string cAddress = "";
    public DateTime tEntered = DateTime.Now;
    public cPhoneNumbers oPhoneNumbers = new cPhoneNumbers();
}

[Serializable]
public class cPhoneNumbers
{
    public string cTelephone = "";
    public string cMobile = "";
    public string cFax = "";
}